Bullet Collision Detection & Physics Library: btTriangleMeshShapeData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btTriangleMeshShapeData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btBvhTriangleMeshShape.h>`

Collaboration diagram for btTriangleMeshShapeData:
[legend]

## Public Attributes
btCollisionShapeData | m_collisionShapeData
btStridingMeshInterfaceData | m_meshInterface
btQuantizedBvhFloatData * | m_quantizedFloatBvh
btQuantizedBvhDoubleData * | m_quantizedDoubleBvh
btTriangleInfoMapData * | m_triangleInfoMap
float | m_collisionMargin
char | m_pad3 [4]

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 120 of file btBvhTriangleMeshShape.h.

## Member Data Documentation

## ◆ m_collisionMargin

float btTriangleMeshShapeData::m_collisionMargin

Definition at line 131 of file btBvhTriangleMeshShape.h.

## ◆ m_collisionShapeData

btCollisionShapeData btTriangleMeshShapeData::m_collisionShapeData

Definition at line 122 of file btBvhTriangleMeshShape.h.

## ◆ m_meshInterface

btStridingMeshInterfaceData btTriangleMeshShapeData::m_meshInterface

Definition at line 124 of file btBvhTriangleMeshShape.h.

## ◆ m_pad3

char btTriangleMeshShapeData::m_pad3[4]

Definition at line 133 of file btBvhTriangleMeshShape.h.

## ◆ m_quantizedDoubleBvh

btQuantizedBvhDoubleData* btTriangleMeshShapeData::m_quantizedDoubleBvh

Definition at line 127 of file btBvhTriangleMeshShape.h.

## ◆ m_quantizedFloatBvh

btQuantizedBvhFloatData* btTriangleMeshShapeData::m_quantizedFloatBvh

Definition at line 126 of file btBvhTriangleMeshShape.h.

## ◆ m_triangleInfoMap

btTriangleInfoMapData* btTriangleMeshShapeData::m_triangleInfoMap

Definition at line 129 of file btBvhTriangleMeshShape.h.

The documentation for this struct was generated from the following file:

- btBvhTriangleMeshShape.h